{% extends 'base.html' %}

{% block title %}
Scrumptious Recipes
{% endblock title %}

  {% block content %}
  <header>
    <nav>
      <a href="{% url 'recipe_list' %}">Main page</a>
      <a href="{% url 'create_recipe' %}">Create a recipe</a>

      {% if user.is_authenticated %}
      Hello, {{ user.username }}
      <a href="{% url 'user_logout' %}">Logout</a>
      {% else %}
      <a href="{% url 'signup' %}">Sign up</a>
      <a href="{% url 'user_login' %}">Login</a>
      {% endif %}
    </nav>
  </header>
  <main>
    <h1>Scrumptious Recipes</h1>
    <h2>All the food that's fit to eat</h2>
    <div class="grid-container">
      <div class="recipe-grid">
        {% for recipe in recipe_list %}
      <div>
        <h3>
          <a href="{% url 'show_recipe' recipe.id %}">{{ recipe.title }}</a>
          <p>{{ recipe.created_on|date:"d M Y" }}</p>
        </h3>
        <img src="{{ recipe.picture }}">
        <div>4.3 stars</div>
        </div>
        {% empty %}
        <p>There are no recipes.</p>
        {% endfor %}
      </div>
    </div>
  </main>
  {% endblock content %}
  {% load static %}
